= Password

Sometimes you want to mask the input you pass, and a password field is useful for this.

[WARNING]
Passwords are passed to the OliveTin server in cleartext (unless you're using HTTPS), and are just treated as a string on the server side. Password arguments are **not** type-checked for allowed characters, and they **cannot** be used with `shell:` — use `exec:` so the value is passed as a separate argument instead of being interpolated into a shell string.

[source,yaml]
.`config.yaml`
----
actions:
  - title: echo a message
    icon: smile
    exec:
      - echo
      - "{{ my_password }}"
    arguments:
      - name: my_password
        type: password
----
